## allegro4.4 4.4.2

=== setup/CMakeLists.txt ===
add_our_executable(setup setup.c)
copy_files(copy_setup_data setup.dat)

add_our_executable(keyconf keyconf.c)

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== tests/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})    # for examples/running.h

add_our_executable(afinfo afinfo.c)
add_our_executable(akaitest WIN32 akaitest.c)
add_our_executable(digitest WIN32 digitest.c)
add_our_executable(filetest WIN32 filetest.c)
add_our_executable(gfxinfo gfxinfo.c)
add_our_executable(mathtest WIN32 mathtest.c)
add_our_executable(miditest WIN32 miditest.c)
add_our_executable(play WIN32 play.c)
add_our_executable(playfli WIN32 playfli.c)
add_our_executable(test WIN32 test.c)
add_our_executable(vesainfo vesainfo.c)

if(WIN32)
    add_our_executable(dibgrab WIN32 win/dibgrab.c)
    add_our_executable(dibhello WIN32 win/dibhello.c)

    if(CMAKE_RC_COMPILER_WORKS)
        add_our_executable(dibsound WIN32 win/dibsound.c win/dibsound.rc)
        add_our_executable(dxwindow WIN32 win/dxwindow.c win/dxwindow.rc)
        add_our_executable(scrsave WIN32 win/scrsave.c win/scrsave.rc)
        # I don't know if there is a better way.
        add_custom_command(
            TARGET scrsave
            POST_BUILD
            COMMAND "${CMAKE_COMMAND}" -E copy
                    "${CMAKE_CURRENT_BINARY_DIR}/scrsave.exe"
                    "${CMAKE_CURRENT_BINARY_DIR}/scrsave.scr"
            )
    endif()
endif(WIN32)

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== tools/CMakeLists.txt ===
#-----------------------------------------------------------------------------#
#
# aldat library
#

file(GLOB PLUGIN_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/plugins/*.c)
file(GLOB PLUGIN_INCS ${CMAKE_CURRENT_SOURCE_DIR}/plugins/*.inc)

# XXX support plugin "scripts", i.e. linker arguments.
# With CMake it should just be the name of a target to link with.

if(SUPPORT_JPGALLEG)
    list(APPEND PLUGIN_SRCS
        ${CMAKE_SOURCE_DIR}/addons/jpgalleg/plugin/datjpeg.c)
    list(APPEND PLUGIN_INCS
        ${CMAKE_SOURCE_DIR}/addons/jpgalleg/plugin/datjpeg.inc)
    include_directories(${CMAKE_SOURCE_DIR}/addons/jpgalleg/include)
    set(ALDAT_JPGALLEG jpgalleg)
endif(SUPPORT_JPGALLEG)

# Concatenate plugins/*.inc files into a temporary file.
set(plugins ${CMAKE_CURRENT_BINARY_DIR}/plugins)
file(WRITE ${plugins}.tmp "")
foreach(incfile ${PLUGIN_INCS})
    file(READ ${incfile} incfile_contents)
    file(APPEND ${plugins}.tmp "${incfile_contents}")
endforeach(incfile)

# Copy to plugins.h if necessary.
configure_file(${plugins}.tmp ${plugins}.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set_source_files_properties(datedit.c
    PROPERTIES OBJECT_DEPENDS ${plugins}.h
    )

# Don't use add_our_library as we don't want to install it.
add_library(aldat STATIC datedit.c ${PLUGIN_SRCS})
target_link_libraries(aldat allegro ${ALDAT_JPGALLEG})

#-----------------------------------------------------------------------------#
#
# Tools
#

function(add_our_tool nm)
    add_our_executable(${nm} ${nm}.c ${ARGN})
    install(TARGETS ${nm}
	    DESTINATION bin
	    )
endfunction()

add_our_tool(colormap)
add_our_tool(dat2c)
add_our_tool(exedat)
add_our_tool(pack)
add_our_tool(rgbmap)
add_our_tool(textconv)

add_our_tool(dat)
add_our_tool(dat2s)
add_our_tool(pat2dat)
target_link_libraries(dat aldat)
target_link_libraries(dat2s aldat)
target_link_libraries(pat2dat aldat)

add_our_executable(grabber WIN32 grabber.c)
target_link_libraries(grabber aldat)
install(TARGETS grabber
        DESTINATION bin
        )

#-----------------------------------------------------------------------------#
#
# Platform-specific tools
#

# XXX add bfixicon when adding Haiku support

if(APPLE)
    add_our_executable(fixbundle macosx/fixbundle.c)
endif(APPLE)

if(WIN32)
    add_our_executable(wfixicon win/wfixicon.c)
endif(WIN32)

if(ALLEGRO_WITH_XWINDOWS)
    add_our_executable(xf2pcx x11/xf2pcx.c)
    add_our_executable(xkeymap x11/xkeymap.c)
endif(ALLEGRO_WITH_XWINDOWS)

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== addons/jpgalleg/CMakeLists.txt ===
#-----------------------------------------------------------------------------#
#
# JPGalleg
#

# JPGalleg contains some optional assembly code for x86.
# In the end I decided not to enable it as we can't be sure we can maintain
# it in the future, so this file never contains anything useful.
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/include/mmx.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/include/mmx.h
    )

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/include)

set(JPGALLEG_SOURCES
    src/decode.c
    src/encode.c
    src/error.c
    src/init.c
    src/io.c
    src/jpgalleg.c
    )

set(JPGALLEG_HEADERS
    include/jpgalleg.h
    )

set_source_files_properties(${JPGALLEG_HEADERS}
    PROPERTIES
    MACOSX_PACKAGE_LOCATION Headers
    )

add_our_library(jpgalleg ${ADDON_LINKAGE}
    ${JPGALLEG_SOURCES}
    ${JPGALLEG_HEADERS}
    )

set_target_properties(jpgalleg
    PROPERTIES
    LINK_FLAGS "${ALLEGRO_LINK_FLAGS}"
    VERSION ${ALLEGRO_VERSION}
    SOVERSION ${ALLEGRO_SOVERSION}
    )

set_our_framework_properties(jpgalleg jpgalleg)

target_link_libraries(jpgalleg allegro)

set_target_properties(jpgalleg
    PROPERTIES
    static_link_with ""
    )

install_our_library(jpgalleg)
if(NOT WANT_FRAMEWORKS)
    install_our_headers(${JPGALLEG_HEADERS})
endif(NOT WANT_FRAMEWORKS)

set(SUPPORT_JPGALLEG 1 PARENT_SCOPE)

#-----------------------------------------------------------------------------#
#
# Examples
#

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/examples)

function(add_our_example nm)
    add_executable(${nm}_jpg WIN32 examples/${nm}.c)
    set_target_properties(${nm}_jpg
        PROPERTIES
        OUTPUT_NAME examples/${nm}
        )
    target_link_libraries(${nm}_jpg jpgalleg)
    if(PSP)
        add_psp_executable(${nm}_jpg)
    endif(PSP)
endfunction()

if(WANT_EXAMPLES)
    add_our_example(ex1)
    add_our_example(ex2)
    add_our_example(ex3)
    add_our_example(ex4)
    add_our_example(ex5)

    copy_files(copy_jpgalleg_example_data
        examples/cat.tga
        examples/datafile.dat
        examples/jpgalleg.jpg
        )
endif(WANT_EXAMPLES)

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== addons/loadpng/CMakeLists.txt ===
#-----------------------------------------------------------------------------#
#
# loadpng
#

find_package(PNG)
if(NOT PNG_FOUND)
    return()
endif()

include_directories(SYSTEM ${PNG_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(LOADPNG_SOURCES
    loadpng.c
    savepng.c
    regpng.c
    )

set(LOADPNG_HEADERS
    loadpng.h
    )

set_source_files_properties(${LOADPNG_HEADERS}
    PROPERTIES
    MACOSX_PACKAGE_LOCATION Headers
    )

add_our_library(loadpng ${ADDON_LINKAGE}
    ${LOADPNG_SOURCES}
    ${LOADPNG_HEADERS}
    )

set_target_properties(loadpng
    PROPERTIES
    LINK_FLAGS "${ALLEGRO_LINK_FLAGS}"
    VERSION ${ALLEGRO_VERSION}
    SOVERSION ${ALLEGRO_SOVERSION}
    )

set_our_framework_properties(loadpng loadpng)

if(PSP)
    target_link_libraries(loadpng ${PNG_LIBRARIES} allegro)
endif(PSP)

target_link_libraries(loadpng allegro ${PNG_LIBRARIES})

sanitize_cmake_link_flags(static_link_with ${PNG_LIBRARIES})
set_target_properties(loadpng
    PROPERTIES
    static_link_with "${static_link_with}"
    )

install_our_library(loadpng)
if(NOT WANT_FRAMEWORKS)
    install_our_headers(${LOADPNG_HEADERS})
endif(NOT WANT_FRAMEWORKS)

#-----------------------------------------------------------------------------#
#
# Examples
#

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/examples)

function(add_our_example nm)
    add_executable(${nm}_png WIN32 examples/${nm}.c)
    set_target_properties(${nm}_png
        PROPERTIES
        OUTPUT_NAME examples/${nm}
        )
    target_link_libraries(${nm}_png loadpng)
    if(PSP)
        add_psp_executable(${nm}_png)
    endif(PSP)
endfunction()

if(WANT_EXAMPLES)
    add_our_example(example)
    add_our_example(exalpha)
    add_our_example(exdata)
    add_our_example(browse)

    copy_files(copy_loadpng_example_data
        examples/alpha.png
        examples/exdata.dat
        )
endif(WANT_EXAMPLES)

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== addons/logg/CMakeLists.txt ===
#-----------------------------------------------------------------------------#
#
# logg
#

find_package(Vorbis)
if(NOT VORBIS_FOUND)
    return()
endif()

include_directories(SYSTEM ${OGG_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR})

set(LOGG_SOURCES
    logg.c
    )

set(LOGG_HEADERS
    logg.h
    )

set_source_files_properties(${LOGG_HEADERS}
    PROPERTIES
    MACOSX_PACKAGE_LOCATION Headers
    )

add_our_library(logg ${ADDON_LINKAGE}
    ${LOGG_SOURCES}
    ${LOGG_HEADERS}
    )

set_target_properties(logg
    PROPERTIES
    LINK_FLAGS "${ALLEGRO_LINK_FLAGS}"
    VERSION ${ALLEGRO_VERSION}
    SOVERSION ${ALLEGRO_SOVERSION}
    )

set_our_framework_properties(logg logg)

target_link_libraries(logg allegro ${VORBIS_LIBRARIES})

sanitize_cmake_link_flags(static_link_with ${VORBIS_LIBRARIES})
set_target_properties(logg
    PROPERTIES
    static_link_with "${static_link_with}"
    )

install_our_library(logg)
if(NOT WANT_FRAMEWORKS)
    install_our_headers(${LOGG_HEADERS})
endif(NOT WANT_FRAMEWORKS)

#-----------------------------------------------------------------------------#
#
# Examples
#

if(WANT_EXAMPLES)
    add_executable(play_ogg play_ogg.c)
    target_link_libraries(play_ogg logg)

    add_executable(stream_ogg stream_ogg.c)
    target_link_libraries(stream_ogg logg)
endif(WANT_EXAMPLES)

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== demos/shooter/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})    # for shooter.ico

add_our_executable(shooter WIN32
    animsel.c
    bullet.c
    dirty.c
    expl.c
    star.c
    aster.c
    demo.c
    display.c
    game.c
    title.c
    shooter.rc
    )

copy_files(copy_shooter_data
    demo.dat
    )

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== demos/skater/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/addons/allegrogl/include)
include_directories(${CMAKE_BINARY_DIR}/addons/allegrogl/include)

set(SKATER_SOURCES
    source/anim.c
    source/backscrl.c
    source/credits.c
    source/dblbuf.c
    source/fps.c
    source/framewk.c
    source/game_sk.c
    source/gamepad.c
    source/global.c
    source/intro.c
    source/kbd_sk.c
    source/level.c
    source/lvlalloc.c
    source/lvlfile.c
    source/lvlstate.c
    source/menu.c
    source/menuabt.c
    source/menuctl.c
    source/menugfx.c
    source/menumain.c
    source/menumisc.c
    source/menuopts.c
    source/menusnd.c
    source/menusucc.c
    source/music.c
    source/oglflip.c
    source/pageflip.c
    source/physics.c
    source/quadtree.c
    source/scrshot.c
    source/skater.c
    source/token.c
    source/transitn.c
    source/tribuf.c
    source/virtctl.c
    )

add_our_executable(skater WIN32 ${SKATER_SOURCES})

if(SUPPORT_ALLEGROGL)
    add_our_executable(skater_agl WIN32 ${SKATER_SOURCES})
    set_target_properties(skater_agl
        PROPERTIES
        COMPILE_FLAGS -DDEMO_USE_ALLEGRO_GL
        )
    target_link_libraries(skater_agl allegrogl)
endif(SUPPORT_ALLEGROGL)

copy_files(copy_skater_data
    demo.dat
    level.dat
    )

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== debian/changelog ===
allegro4.4 (2:4.4.2-4) unstable; urgency=low

  [ Andreas Rönnquist ]
  * Add replaces / breaks on liballegro4.2-dev (Closes: #714814)
  * Fix lintian vcs-field-not-canonical warning
  * Fix unused-override hardening-no-fortify-functions

 -- Tobias Hansen <thansen@debian.org>  Sun, 14 Jul 2013 11:34:32 +0200

allegro4.4 (2:4.4.2-3) unstable; urgency=low

  * Create new packages liblogg4.4 and liblogg4-dev for the addon.
  * Rename liballegro4.2-dev to liballegro4-dev. (Closes: #710595)
  * Make liballegro4-dev and its reverse dependencies
    Priority: extra, because it conflicts with liballegro5-dev.
  * Add Vcs-* fields to debian/control.
  * Set --parallel flag for dh.
  * Change my email address to @debian.org.
  * Bump Standards-Version to 3.9.4.
  * Move allegrogl.pc from liballegro4-dev to liballegrogl4-dev.
  * Enable hardening build flags.

 -- Tobias Hansen <thansen@debian.org>  Sun, 09 Jun 2013 13:30:34 +0200

allegro4.4 (2:4.4.2-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's ACK.
  * Work around ICE on ia64 by using gcc-4.7 there instead of gcc-4.6
    on this architecture.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 17 Jun 2012 12:12:40 +0200

allegro4.4 (2:4.4.2-2) unstable; urgency=low

  * debian/patches/fix_ftbfs_with_sbuild.patch:
    - Added. Build system assumed that the build path doesn't contain "/build/".
      Closes: #675676

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 02 Jun 2012 17:59:04 +0200

allegro4.4 (2:4.4.2-1) unstable; urgency=low

  [ Andreas Rönnquist ]
  * New upstream release (Closes: #666524)
  * Set Debian Games Team as maintainer, me and Tobias as uploaders
  * Remove packages allegro-examples and allegro-demo.
  * Added dependencies - OpenGL, Ogg Vorbis, zlib and libpng
  * Added the libs included in allegro 4.4 - libloadpng, jpgalleg and alleggl
    New packages:
    - liballeggl4.4
    - liballeggl4-dev
    - libjpgalleg4-dev
    - libjpgalleg4.4
    - libloadpng4-dev
    - libloadpng4.4
  * Removed the Svgalib and ESD plugin libraries
  * Fixes to the cmake build system
  * Fixed lintian warnings on the allegro-config man-page
  * debian/patches/fix_format_not_string_literal_error.patch:
    - Added patch to fix build errors
  * debian/patches/fix_addons_shared_linkage.patch:
    - Added patch required to fix shared linkage of addons
  * debian/patches/fix_endianness_spelling.patch
    - Added patch to fix spelling in the textconv binary
  * debian/patches/020_non-executable-stack.diff
    - Renamed to fix_non_executable_stack.patch.
  * debian/patches/040_allegro_cfg.diff
    - Renamed to add_debian_config_hints.patch.
  * Fixed linker flags

  [ Tobias Hansen ]
  * Exclude plugin libraries from dh_makeshlibs.
  * Enable OSS support.
  * Move ALSA plugin to separate package liballegro4.4-plugin-alsa.
  * Disable jack support.
  * Disable Linux console mode and remove build-dependency libsvga1-dev.
  * Rename doc package to allegro4-doc and make liballegro-doc
    a transitional dummy package.
  * Update README.Debian.
  * Remove build-dependency libesd0-dev.
  * debian/control - liballegro4.2-dev:
    - Remove Provides liballegro3.9.37-dev, liballegro-dev-common.
    - Add Conflicts liballegro4-dev and liballegro5-dev.
    - Add Provides liballegro4-dev.
  * debian/patches/020_asm_fixes.diff
    - Renamed to asm_fixes.patch.
  * debian/patches/050_manpage_syntax.diff
    - Removed. We can't fix every manpage syntax error anyway.
  * debian/patches/020_debug.diff
    - Removed. We don't understand the purpose and if it's only about
      debugging it can't be essential.
  * debian/patches/010_autoreconf.diff
    debian/patches/005_no_strip_no_export_dynamic.diff
    - Removed. Obsolete after switch from autotools to cmake.
  * debian/patches/005_no_unsharable.diff
    - Removed. We don't need to remove a static library and the output
      of allegro-config --libs is fine.
  * debian/patches/070_alsa_signed.diff
    debian/patches/060_fix_fnstsw.diff
    - Removed. Were applied upstream.
  * debian/patches/020_data_path.diff
    - Removed. Not needed anymore, because the compiled examples are
      no longer packaged.
  * debian/patches/fix_ftbfs_nonlinux.patch
    - Added. Patch by Steven Chamberlain to fix FTBFS on nonlinux.

 -- Tobias Hansen <tobias.han@gmx.de>  Sun, 20 May 2012 01:53:16 +0200

allegro4.2 (2:4.2.2-3) unstable; urgency=low

  * QA upload:
  * Orphan package (Closes: #626049)
  * Build-depend on libjack-dev (Closes: #527403)
  * Convert to source format 3

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 06 Jun 2011 18:30:38 +0200

allegro4.2 (2:4.2.2-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Drop arts support (Closes: #622198)
  * Build-depend on libsvga1-dev instead of svgalibg1-dev
    (Closes: #483457)
  * Drop recommendation of obsolete package timidity-patches
    (Closes: #409484)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 02 Jun 2011 22:40:41 +0200

allegro4.2 (2:4.2.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "alsa plugin doesn't work with many sound cards": apply patch from
    Peter De Wachter (debian/patches/070_alsa_signed.diff) (closes: #462810).

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jun 2010 17:03:36 +0200

allegro4.2 (2:4.2.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  * debian/patches/06_fix_fnstsw.diff:
    + Fix FTBFS with binutils >= 1.9. Quoting the patch submitter:
      “FNSTSW is "Store FPU Status Word". This status word is a 16-bit
      value so the destination register should be %ax, not %eax.”
      Thanks to Peter De Wachter (Closes: #510500, #518732).

  * Set urgency to “medium”, testing is also affected.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Jul 2009 20:36:38 +0200

allegro4.2 (2:4.2.2-2) unstable; urgency=low

  * debian/control:
    + Add ${shlibs:Depends} to the liballegro4.2-dev dependencies.
    + Set policy to 3.7.3.

  * debian/rules:


=== debian/control ===
Source: allegro4.4
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Andreas Rönnquist <gusnan@gusnan.se>, Tobias Hansen <thansen@debian.org>
Homepage: http://www.liballeg.org
Build-Depends: debhelper (>= 9),
               cmake,
               pkg-config,
               texinfo,
               libxext-dev,
               libx11-dev,
               libxpm-dev,
               libxt-dev,
               libxcursor-dev,
               libasound2-dev (>= 0.9) [linux-any],
               oss4-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpng-dev,
               zlib1g-dev,
               libvorbis-dev,
               gcc-4.7 [ia64],
               g++-4.7 [ia64]
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-games/allegro4.4.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/allegro4.4.git;a=summary

Package: liballegro4.4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: liballegro4.4-plugin-alsa [linux-any]
Description: portable library for cross-platform game and multimedia development
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liballegro4-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liballegro4.4 (= ${binary:Version}),
         libxext-dev,
         libx11-dev,
         libxpm-dev,
         libxxf86vm-dev,
         libxcursor-dev
Provides: liballegro4.2-dev, liballegro-dev
Conflicts: liballegro-dev-common, liballegro4a, liballegro-dev, liballegro4.2-dev, liballegro5-dev
Replaces: liballegro-dev-common, liballegro4a, liballegro-dev, liballegro4.2-dev
Description: development files for the Allegro library
 This package contains the development headers for the Allegro library.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liballegro4.4-plugin-alsa
Architecture: linux-any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liballegro4.4 (= ${binary:Version})
Description: ALSA audio plugin for the Allegro library
 This plugin adds support for ALSA to the Allegro library. It is recommended 
 on Linux. If no audio plugin package is installed, OSS is used for audio.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: allegro4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         dpkg (>= 1.15.4) | install-info
Conflicts: liballegro-doc (<= 2:4.3)
Replaces: liballegro-doc (<= 2:4.3)
Description: documentation for the Allegro library
 This package contains the Allegro documentation in various formats,
 FAQs and other documentation about the Allegro library and the
 source of the example programs.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liballegro-doc
Depends: allegro4-doc,
         ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: liballeggl4.4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liballegro4.4 (= ${binary:Version})
Description: library to mix OpenGL graphics with Allegro routines
 AllegroGL is an Allegro add-on that allows you to use OpenGL alongside 
 Allegro -- you use OpenGL for your rendering to the screen, and Allegro for 
 miscellaneous tasks like gathering input, doing timers, getting cross-platform 
 portability, loading data, and drawing your textures. So this library fills 
 the same hole that things like glut do.
 .
 AllegroGL also automatically exposes most, if not all, OpenGL extensions 
 available to user programs. This means you no longer have to manually load 
 them; extension management is already done for you.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liballeggl4-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         liballeggl4.4 (= ${binary:Version}),
         liballegro4-dev
Replaces: liballegro4.2-dev (<< 2:4.4.2-3)
Breaks: liballegro4.2-dev (<< 2:4.4.2-3)
Description: development files for the allegrogl library
 This package contains the development headers for liballeggl.
 .
 AllegroGL is an Allegro add-on that allows you to use OpenGL alongside 
 Allegro -- you use OpenGL for your rendering to the screen, and Allegro for 
 miscellaneous tasks like gathering input, doing timers, getting cross-platform 
 portability, loading data, and drawing your textures. So this library fills 
 the same hole that things like glut do.
 .
 AllegroGL also automatically exposes most, if not all, OpenGL extensions 
 available to user programs. This means you no longer have to manually load 
 them; extension management is already done for you.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: libjpgalleg4.4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: JPG loading addon for Allegro 4
 This add-on for Allegro will allow you to load and save JPG images using 
 standard Allegro image handling functions as if they were normal bitmaps.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: libjpgalleg4-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libjpgalleg4.4 (= ${binary:Version}),
         liballegro4-dev
Description: development files for the JPG loading addon for Allegro 4
 This package contains the development headers for libjpgalleg.
 .
 This add-on for Allegro will allow you to load and save JPG images using 
 standard Allegro image handling functions as if they were normal bitmaps.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: libloadpng4.4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: PNG loading addon for Allegro 4
 This add-on for Allegro will allow you to load and save PNG images using 
 standard Allegro image handling functions as if they were normal bitmaps.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: libloadpng4-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libloadpng4.4 (= ${binary:Version}),
         liballegro4-dev
Description: development files for the PNG loading addon for Allegro 4
 This package contains the development headers for libloadpng.
 .
 This add-on for Allegro will allow you to load and save PNG images using 
 standard Allegro image handling functions as if they were normal bitmaps.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liblogg4.4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: OGG loading addon for Allegro 4
 liblogg is an Allegro add-on library for playing OGG/Vorbis audio files.
 It can load OGG/Vorbis files as Allegro SAMPLE's, or it can stream them
 from disk to save memory.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

Package: liblogg4-dev
Priority: extra
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         liblogg4.4 (= ${binary:Version}),
         liballegro4-dev,
         libvorbis-dev
Replaces: liballegro4.2-dev (<< 2:4.4.2-3)
Breaks: liballegro4.2-dev (<< 2:4.4.2-3)
Description: development files for the OGG loading addon for Allegro 4
 This package contains the development headers for liblogg.
 .
 liblogg is an Allegro add-on library for playing OGG/Vorbis audio files.
 It can load OGG/Vorbis files as Allegro SAMPLE's, or it can stream them
 from disk to save memory.
 .
 Allegro is a cross-platform library mainly aimed at video game and multimedia
 programming. It handles common, low-level tasks such as creating windows,
 accepting user input, loading data, drawing images, playing sounds, etc. and
 generally abstracting away the underlying platform.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),ia64)
	ICE_WORKAROUND = -DCMAKE_C_COMPILER=gcc-4.7 -DCMAKE_CXX_COMPILER=g++-4.7
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Use this variable to allow options passed to cmake to be overridable.
# WANT_EXAMPLES and WANT_TESTS are set to ON only to check if they build
# successfully, as their source is shipped in the doc package.
DEB_CMAKE_OPTIONS ?= -DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_INSTALL_PREFIX="/usr" \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DCMAKE_SKIP_RPATH:BOOL=ON \
		-DCMAKE_BUILD_TYPE=Release \
		-DWANT_MODULES=ON \
		-DWANT_OSS=ON \
		-DWANT_ALSA=ON \
		-DWANT_JACK=OFF \
		-DWANT_SGIAUDIO=OFF \
		-DWANT_LINUX_CONSOLE=OFF \
		-DWANT_ALLEGROGL=ON \
		-DWANT_LOADPNG=ON \
		-DWANT_LOGG=ON \
		-DWANT_JPGALLEG=ON \
		-DWANT_TOOLS=ON \
		-DWANT_EXAMPLES=ON \
		-DWANT_TESTS=ON \
		$(ICE_WORKAROUND)

DOC_DIR ?= usr/share/doc/allegro4-doc/
DOC_INFO_DIR ?= usr/share/info/
DOC_HTML_DIR ?= usr/share/doc/allegro4-doc/html/
DOC_EXAMPLES_DIR ?= usr/share/doc/allegro4-doc/examples/

%:
	dh $@ --builddirectory=build --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_OPTIONS)

override_dh_auto_install:
	$(MAKE) --directory=build install DESTDIR=$(CURDIR)/debian/tmp
# Move docs to proper location - fixes FSSTND-dir-in-usr
	mkdir -p $(CURDIR)/debian/tmp/$(DOC_DIR)
	mkdir -p $(CURDIR)/debian/tmp/$(DOC_INFO_DIR)
	mkdir -p $(CURDIR)/debian/tmp/$(DOC_HTML_DIR)
	mkdir -p $(CURDIR)/debian/tmp/$(DOC_EXAMPLES_DIR)
	cp $(CURDIR)/debian/tmp/usr/doc/allegro-4.4.2/* $(CURDIR)/debian/tmp/$(DOC_DIR)
	cp $(CURDIR)/debian/tmp/usr/info/allegro.info $(CURDIR)/debian/tmp/$(DOC_INFO_DIR)
	cp build/docs/html/* $(CURDIR)/debian/tmp/$(DOC_HTML_DIR)
# Create examples source tar.gz
	rm -rf build/tmp; mkdir build/tmp
	cp examples/*.c examples/*.h examples/*.dat examples/*.pcx examples/*.txt examples/*.ini tests/*.c build/tmp/
	cd build/tmp; tar zcvf source.tar.gz *
	cp build/tmp/source.tar.gz $(CURDIR)/debian/tmp/$(DOC_EXAMPLES_DIR)

override_dh_makeshlibs:
	dh_makeshlibs -Xalleg-alsadigi.so -Xalleg-alsamidi.so -Xalleg-dga2.so

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

=== debian/watch ===
version=3
http://sf.net/alleg/allegro-(4\.\d?[02468]\.\d+)\.tar\.gz
